import request from '@/utils/request'

// 查询短信日志列表
export function listMsgLog(query) {
  return request({
    url: '/system/msgLog/list',
    method: 'get',
    params: query
  })
}

// 查询短信日志详细
export function getMsgLog(id) {
  return request({
    url: '/system/msgLog/' + id,
    method: 'get'
  })
}

// 新增短信日志
export function addMsgLog(data) {
  return request({
    url: '/system/msgLog',
    method: 'post',
    data: data
  })
}

// 修改短信日志
export function updateMsgLog(data) {
  return request({
    url: '/system/msgLog',
    method: 'put',
    data: data
  })
}

// 删除短信日志
export function delMsgLog(id) {
  return request({
    url: '/system/msgLog/' + id,
    method: 'delete'
  })
}
